JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const destination = await client.v1.events.dataExport.destinations.delete('x');
console.log(destination.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
destination = client.v1.events.data_export.destinations.delete(
destination_id="x",
)
print(destination.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
destination, err := client.V1.Events.DataExport.Destinations.Delete(
context.TODO(),
"x",
stigg.V1EventDataExportDestinationDeleteParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", destination.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.events.dataexport.destinations.DestinationDeleteParams;
import io.stigg.models.v1.events.dataexport.destinations.DestinationDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
DestinationDeleteResponse destination = client.v1().events().dataExport().destinations().delete("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
destination = stigg.v1.events.data_export.destinations.delete("x")
puts(destination)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Events.DataExport.Destinations;
StiggClient client = new();
DestinationDeleteParams parameters = new() { DestinationID = "x" };
var destination = await client.V1.Events.DataExport.Destinations.Delete(parameters);
Console.WriteLine(destination);stigg v1:events:data-export:destinations delete \
--api-key 'My API Key' \
--destination-id xcurl --request DELETE \
--url https://api.stigg.io/api/v1/data-export/destinations/{destinationId} \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/data-export/destinations/{destinationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"destinations": [
{
"type": "snowflake",
"connectedAt": "2026-06-04T12:00:00.000Z",
"destinationId": "dst_9f2a1c7b3e4d",
"connectionStatus": "connected",
"lastSyncStatus": {
"transferId": "transfer_4b8e2d1a",
"status": "SUCCEEDED",
"finishedAt": "2026-06-04T12:30:00.000Z",
"rowsTransferred": 1284
},
"enabledModels": []
}
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Data Export
Remove data-export destination
Disconnect a destination: stops the provider sync (deletes the provider destination) and removes it from the DATA_EXPORT integration. Non-destructive — the warehouse table is left intact. Idempotent.
DELETE
/
api
/
v1
/
data-export
/
destinations
/
{destinationId}
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const destination = await client.v1.events.dataExport.destinations.delete('x');
console.log(destination.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
destination = client.v1.events.data_export.destinations.delete(
destination_id="x",
)
print(destination.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
destination, err := client.V1.Events.DataExport.Destinations.Delete(
context.TODO(),
"x",
stigg.V1EventDataExportDestinationDeleteParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", destination.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.events.dataexport.destinations.DestinationDeleteParams;
import io.stigg.models.v1.events.dataexport.destinations.DestinationDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
DestinationDeleteResponse destination = client.v1().events().dataExport().destinations().delete("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
destination = stigg.v1.events.data_export.destinations.delete("x")
puts(destination)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Events.DataExport.Destinations;
StiggClient client = new();
DestinationDeleteParams parameters = new() { DestinationID = "x" };
var destination = await client.V1.Events.DataExport.Destinations.Delete(parameters);
Console.WriteLine(destination);stigg v1:events:data-export:destinations delete \
--api-key 'My API Key' \
--destination-id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
Provider destination ID to remove
Required string length:
1 - 255Response
Current list of destinations under the DATA_EXPORT integration.
Response object
Current destinations under the DATA_EXPORT integration.
Show child attributes
Show child attributes
⌘I
